package cz.moneta.test.dsl.ufo.banka.pages.loans.creditCard;

import cz.moneta.test.dsl.ufo.banka.pages.common.pages.PSI001_S052_PreContractualInformationPrintPage;
import cz.moneta.test.dsl.ufo.banka.pages.common.pages.TIS046_S001_DocumentsProvidedToClientPage;
import cz.moneta.test.dsl.ufo.banka.pages.fon.TIS050_S001_SignerSelectionPage;
import cz.moneta.test.dsl.ufo.banka.pages.loans.VER017_S001_SecondBankerVerificationStatusPage;
import cz.moneta.test.dsl.ufo.banka.pages.main.PSP004_S001_PrintPage;
import cz.moneta.test.dsl.ufo.banka.pages.main.client.settings.VDB001_S001_SecondBankerJoiningPage;
import cz.moneta.test.dsl.ufo.banka.pages.products.flexi.credit.NKK003_S001_SelectingApprovedVariantsPage;
import cz.moneta.test.dsl.ufo.banka.pages.requests.BAL006_S002_ClientRequestPage;
import cz.moneta.test.dsl.ufo.banka.pages.requests.NEP013_S001_RequestCancellationPage;
import cz.moneta.test.dsl.ufo.banka.pages.requests.PSI001_S050_PreContractualInformationPrintedPage;
import cz.moneta.test.harness.support.web.WebFlow;

public interface NKK006_S001_CreditCardScoringResultPageTransitions extends WebFlow<NKK006_S001_CreditCardScoringResultPageTransitions> {

    PSI001_S050_PreContractualInformationPrintedPage onPreContractualInformationPrintedPage();

    NKK003_S001_SelectingApprovedVariantsPage onSelectingApprovedVariantsPage();

    PSP004_S001_PrintPage onPrintPage();

    PSI001_S052_PreContractualInformationPrintPage onPreContractualInformationPrintPage();

    VDB001_S001_SecondBankerJoiningPage onSecondBankerSearch();

    TIS046_S001_DocumentsProvidedToClientPage onDocumentsProvided();

    TIS050_S001_SignerSelectionPage onSingerPage();

    NEP013_S001_RequestCancellationPage onRequestCancellationPage();

    VER017_S001_SecondBankerVerificationStatusPage onSecondBankerVerificationStatusPage();

    BAL006_S002_ClientRequestPage onClientRequestPage();
}
